Subject: bug#60854: [PATCH] Make warnings show a "warning" emoji instead of a stop-sign

From: Konstantin Kharlamov <[email-masked]>
Date: Thu, 30 Mar 2023 23:58:06 +0300

On Sat, 2023-02-11 at 13:56 +0300, Konstantin Kharlamov wrote:
> Jim Porter wrote:
> > On 1/17/2023 2:19 PM, Kévin Le Gouguec wrote:
> > > Jim Porter <jporterbugs <at> gmail.com> writes:
> > > > Perhaps a bit better would be 🚫, whose official name is apparently "No
> > > > Entry
> > > > Sign", even though the slashed circle visual usually just means "No
> > > > ____",
> > > > e.g. "No Smoking". Hence, some sources call it the Prohibited emoji.
> > > 
> > > (My ¢2: wouldn't a cross mark (❌) also work to convey the idea of
> > > "suppressing" something?)
> > 
> > That would work too. I still like turning this into a toggle button
> > where the icon shows the current state (i.e. is it an active warning -
> > ⚠️ - or has it been suppressed - ⚬). But changing to 🚫 or ❌ would be
> > single-character patches, which is nice too.
> 
> As a user, seeing any of ❌ or 🚫 in compilation buffer I think immediately of
> a
> problem because these emojis are shown in red color. You might say that color
> depends on a font, however they both are even documented on emojipedia to be
> "red", so rest assured, if there's a colorful emoji support on a user system,
> most likely the color will be red.
> 
> The fact it's actually a button that is supposed to do something is an
> interesting one, but since a button isn't actually used for displaying the
> button, it's kind of an easter egg. We know it's a button, but no one else
> will. (as a side note, I am also not sure why to make a button on every
> warning)
> 
> So please, let's either replace it with ⚠ as originally suggested, or make it
> an
> actual button with an actual text "suppress warnings". As it stands now, just
> replacing it with ❌ or 🚫 will not reduce any confusion.

Given release is pretty close, how about at least replacing the emoji to radio
button? 🔘 This way it would be clearly a button, and also wouldn't have any
reds in it